时间:2021-05-22
安装 RVM
通常使用 RVM 或 rbenv 来安装 Ruby,这里选用 RVM。
$ curl -sSL https://get.rvm.io | bash -s stable载入 RVM :
$ source /home/libuchao/.rvm/scripts/rvm$ rvm -vrvm 1.25.12 (stable) by Wayne E. Seguin <wayneeseguin@gmail.com> ......再执行以下命令:
$ type rvmrvm is a function......说明 RVM 安装正确。
安装 Ruby
用 RVM 安装 Ruby
$ rvm install 2.1.0$ rvm use 2.1.0 --default$ ruby -vruby 2.1.0p0国内服务器推荐替换 RubyGems 的到淘宝镜像
$ gem sources -r https://rubygems.org/$ gem sources -a http://ruby.taobao.org/否则安装 Gem 可能会非常非常慢。
安装 Rails
其实 Rails 也是一个 Gem
$ gem install rails --no-ri --no-rdoc -V......$ rails -vRails 4.0.2至此,Rails 环境已经安装完成。
安装 MySQL
安装 Mysql 及相应的库文件:
$ sudo apt-get install mysql-server libmysqlclient-dev然后进行一些安装方面的设置:
$ /usr/bin/mysql_secure_installation创建相应的数据库,并为它新建一个权限小一些的用户:
mysql> CREATE DATABASE blix_production;mysql> GRANT ALL PRIVILEGES ON blix_production.* TO blix@localhost IDENTIFIED BY "123456";mysql> flush privileges;mysql> exit导入数据:
$ mysql -u blix -p blix_production < database.sql安装 Nginx
Nginx 专门处理静态请求,并作为 Unicorn 的反向代理
编辑 /etc/apt/sources.list,末尾处添加以下两行
deb http://nginx.org/packages/ubuntu/ precise nginxdeb-src http://nginx.org/packages/ubuntu/ precise nginx添加 Nginx 签名
$ wget http://nginx.org/keys/nginx_signing.key$ sudo apt-key add nginx_signing.key安装 Nginx
$ sudo apt-get update$ sudo apt-get install nginx安装完成后可以在浏览器中输入 http://server-ipaddress 查看是否安装正确。
配置 Unicorn
首先编译一下静态文件:
$ RAILS_ENV=production rake assets:clean$ RAILS_ENV=production rake assets:precompileUnicorn 配置参考:
worker_processes 2timeout 30APP_PATH = File.expand_path("../..", __FILE__)working_directory APP_PATHlisten 8080, :tcp_nopush => truelisten "/tmp/unicorn.sock", :backlog => 64stderr_path APP_PATH + "/log/unicorn.stderr.log"stdout_path APP_PATH + "/log/unicorn.stdout.log"pid APP_PATH + "/tmp/pids/unicorn.pid"Unicorn 自启动脚本:
#!/bin/shset -e# Example init script, this can be used with nginx, too,# since nginx and unicorn accept the same signals# Feel free to change any of the following variables for your app:TIMEOUT=${TIMEOUT-60}APP_ROOT=/home/libuchao/blixAPP_USER=libuchaoPID=$APP_ROOT/tmp/pids/unicorn.pidCMD="unicorn_rails -D -E production -c $APP_ROOT/config/unicorn.rb"action="$1"set -uold_pid="$PID.oldbin"cd $APP_ROOT || exit 1sig () { test -s "$PID" && kill -$1 `cat $PID`}oldsig () { test -s $old_pid && kill -$1 `cat $old_pid`}case $action instart) sig 0 && echo >&2 "Already running" && exit 0 su -c "$CMD" - $APP_USER ;;stop) sig QUIT && exit 0 echo >&2 "Not running" ;;force-stop) sig TERM && exit 0 echo >&2 "Not running" ;;restart|reload) sig HUP && echo reloaded OK && exit 0 echo >&2 "Couldn't reload, starting '$CMD' instead" su -c "$CMD" - $APP_USER ;;upgrade) if sig USR2 && sleep 2 && sig 0 && oldsig QUIT then n=$TIMEOUT while test -s $old_pid && test $n -ge 0 do printf '.' && sleep 1 && n=$(( $n - 1 )) done echo if test $n -lt 0 && test -s $old_pid then echo >&2 "$old_pid still exists after $TIMEOUT seconds" exit 1 fi exit 0 fi echo >&2 "Couldn't upgrade, starting '$CMD' instead" su -c "$CMD" - $APP_USER ;;reopen-logs) sig USR1 ;;*) echo >&2 "Usage: $0 <start|stop|restart|upgrade|force-stop|reopen-logs>" exit 1 ;;esac将这个 shell 在/etc/init.d/下做一个软连接,并使其开机自启动:
$ chmod +x /home/libuchao/blix/config/unicorn_init.sh$ sudo ln -s /home/libuchao/blix/config/unicorn_init.sh /etc/init.d/unicorn$ sudo update-rc.d unicorn defaults启动 Unicorn:
$ service unicorn start在浏览器中输入 http://server_ipaddress:8080 查看效果。
配置 Nginx
Nginx 配置参考:
upstream blix_backend { server unix:/tmp/unicorn.sock fail_timeout=0;}gzip on;gzip_disable "msie6";client_max_body_size 150m;server { listen 80 default; return 403;}server { listen 80; server_name libuchao.com ; root /home/libuchao/blix/public; try_files $uri/index.html $uri.html $uri @httpapp; location @httpapp { proxy_redirect off; proxy_set_header Host $host; proxy_set_header X-Forwarded-Host $host; proxy_set_header X-Forwarded-Server $host; proxy_set_header X-Real-IP $remote_addr; proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for; proxy_buffering on; proxy_pass http://blix_backend; } location ~ ^(/assets) { access_log off; expires max; }}此时应该可以通过域名直接访问了。
声明:本页内容来源网络,仅供用户参考;我单位不保证亦不表示资料全面及准确无误,也不保证亦不表示这些资料为最新信息,如因任何原因,本网内容或者用户因倚赖本网内容造成任何损失或损害,我单位将不会负任何法律责任。如涉及版权问题,请提交至online#300.cn邮箱联系删除。
Linux系统的使用现在标配的系统是Linux+Nginx+PHP+MySQL,这样的配置越来越多的大公司在用的了说到配置不同的是一个公司的规约,比如说挂载一般
最近在Linux服务器上安装MySql5后,本地使用客户端连MySql速度超慢,本地程序连接也超慢。解决方法:在配置文件my.cnf的[mysqld]下加入sk
上一篇介绍了在Linux的CentOS下如何安装Nginx服务器,并且实现在Linux上访问Nginx服务器。本篇主要介绍VMVare下基于NAT模式的网络配置
如何快速正确的安装Ruby,Rails运行环境对于新入门的开发者,如何安装Ruby,RubyGems和Rails的运行环境可能会是个问题,本页主要介绍如何用一条
升级ruby和rails后进入script/consle出现:复制代码代码如下:/usr/local/lib/ruby/1.8/irb/completion.r